Subject: Re: [bitcoin-dev] I do not support the BIP 148 UASF

From: Ryan Grant <[email-masked]>
Date: Sat, 15 Apr 2017 09:54:00 -0500

On Sat, Apr 15, 2017 at 8:42 AM, Mark Friedenbach via bitcoin-dev
<[email-masked]> wrote:
> The alternative [Greg presents] (new BIP bit) has the clear downside
> of not triggering BIP141 activation, and therefore not enabling the
> new consensus rules on already deployed full nodes. BIP148 is making
> an explicit choice to favor dragging along those users which have
> upgraded to BIP141 support over those miners who have failed to
> upgrade.

A proposal from yesterday would separate this concern; though not
retroactively.  One way to name this proposal would be "Catch-All
Segwit Activation".

  "extended BIP9 activation of segwit, for legacy nodes"
  https://lists.linuxfoundation.org/pipermail/bitcoin-dev/2017-April/014160.html

If this release valve exists, then discussions (such as this thread)
can get back to focusing on finding the safest incentive-compatible
transitions, with time improving the situation instead of making it worse.